package com.kingdee.eas.custom.shop;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class StartShopCollection extends AbstractObjectCollection 
{
    public StartShopCollection()
    {
        super(StartShopInfo.class);
    }
    public boolean add(StartShopInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(StartShopCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(StartShopInfo item)
    {
        return removeObject(item);
    }
    public StartShopInfo get(int index)
    {
        return(StartShopInfo)getObject(index);
    }
    public StartShopInfo get(Object key)
    {
        return(StartShopInfo)getObject(key);
    }
    public void set(int index, StartShopInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(StartShopInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(StartShopInfo item)
    {
        return super.indexOf(item);
    }
}